[Ajuda] PHP GTK - Instalação

1. [Ajuda] PHP GTK - Instalação

Samuel S Almeida
kest_

(usa Fedora)

Enviado em 23/02/2009 - 17:58h

Sistema operacional: fc10
PHP version: php-5.2.8
MySQL version: MySQL-server-5.1.30-0.glibc23.i386
Glibc version: glibc-2.9-3.i686
Make version: make-3.81-14.fc10.i386
Bison version: bison-2.3-5.fc9.i386
Flex version: flex-2.5.35-2.fc10.i386
GD Version: gd-2.0.35-6.fc10.i386 / gd-devel-2.0.35-6.fc10.i386

http://img10.imageshack.us/img10/7236/lsmysql.png

./configure \
--disable-cgi \
--enable-cli \
--prefix=/usr/local/php-gtk2 \
--with-mysql \
--with-mysqli=/usr/bin/mysql_config \
--with-pdo-mysql \
--with-libxml-dir=/usr/lib \
--with-pdo-sqlite \
--with-gd \
--with-zlib \
--enable-dbase \
--enable-soap \
--enable-calendar \
--enable-sockets \
--enable-ftp \
--with-jpeg-dir=/usr \
--with-png-dir=/usr \
--with-xpm-dir=/usr

http://img503.imageshack.us/img503/5519/configure.png
Nunca mechi com bibliotecas GD, o gd que conheçe é gateway default.

make

http://img5.imageshack.us/img5/4356/make.png
não sei o que pode estar ocorrendo, mas o problema é que ele acusa erro na link do mysql, não consigo entender.


  


2. Re: [Ajuda] PHP GTK - Instalação

Paulo Sergio Travaglia
pstglia

(usa Slackware)

Enviado em 20/03/2009 - 22:57h

Olá amigo,

Algum motivo em especial para precisar compilar o PHP-GTK2 a partir dos fontes? É que os pacotes dele e seus pré-requisitos estão disponíveis no repositório do Fedora para instalação via yum.

De qualquer forma, na sua compilação ele está reclamando que ele não conseguiu acesssar uma biblioteca, dizendo que ela é um diretório ao invés de um arquivo ou link. Vide como esse arquivo está no meu sistema:

==================================================================================================
[email protected]_2400:/usr/lib/mysql$ ls -ltr libmysqlclient.so
lrwxrwxrwx 1 root root 24 2007-11-01 06:40 libmysqlclient.so -> libmysqlclient.so.15.0.0*
[email protected]_2400:/usr/lib/mysql$

[email protected]_2400:/usr/lib/mysql$ ls -ltr libmysqlclient.so.15.0.0
-rwxr-xr-x 1 root root 1322284 2007-03-24 01:52 libmysqlclient.so.15.0.0*
==================================================================================================


De uma verificada por ai... Quem sabe reinstalar o mysql?






Patrocínio

Site hospedado pelo provedor RedeHost.
Linux banner
Linux banner
Linux banner

Destaques

Artigos

Dicas

Tópicos

Top 10 do mês

Scripts